[
  uuid(6BA29E5A-0176-4F17-94A8-8A57D7530720), 
  version(1.0), 
  helpstring("Project1 Library")
    
]
library ecrmini
{

  importlib("stdole2.tlb");

  [
    uuid(B1323744-EFA0-4D14-AD99-2C44718FCC99), 
    version(1.0), 
    helpstring("Dispatch interface for T400 Object"), 
    dual, 
    oleautomation
  ]
   interface It400: IDispatch
  {
    [
    id(0x000000C9)
    ]
    HRESULT _stdcall t400me([in, out] BSTR * Param1, [out, retval] VARIANT_BOOL * Param2 );
    [
    propget, 
    id(0x000000CA)
    ]
    HRESULT _stdcall get_last_error([out, retval] long * Value );
    [
    propget, 
    id(0x000000CB)
    ]
    HRESULT _stdcall get_last_event([out, retval] BSTR * Value );
    [
    propget, 
    id(0x000000CC)
    ]
    HRESULT _stdcall get_error_info([out, retval] BSTR * Value );
    [
    propget, 
    id(0x000000CD)
    ]
    HRESULT _stdcall get_last_result([out, retval] BSTR * Value );
  };

  [
    uuid(CCC213E0-B747-4FFC-9F45-30BC87ECB16E), 
    version(1.0), 
    helpstring("T400 Object")
  ]
  coclass t400
  {
    [default] interface It400;
  };

}; 